# List all check transfers

**GET** `/transfers/checks`

Retrieve all check transfers on your platform.

### Query Parameters

- `account_number_id` `string` — Filter check transfers by account number ID.
- `bank_account_id` `string` — Filter check transfers by bank account ID.
- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `lockbox_id` `string` — Filter check transfers by lockbox ID.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.
- `status` `string` — Filter check transfers by status.
- `type` `string` — Filter by check transfer type. Can be `debit` or `credit`.

**Request**

```shell
curl 'https://api.column.com/transfers/checks' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "transfers": [
    {
      "account_number_id": "acno_2Nc1pSb55eCJ7YxQnzCVis9OXrv",
      "back_image": null,
      "bank_account_id": "bacc_2Nc1pNdlOtyKM0SzfemCyHsWUn5",
      "check_number": 1003,
      "created_at": "2023-06-16T18:09:00.61936799Z",
      "currency_code": "USD",
      "delivered_by_column": false,
      "delivery_method": null,
      "delivery_status": null,
      "delivery_tracking_number": null,
      "delivery_tracking_url": null,
      "deposited_amount": null,
      "deposited_at": null,
      "description": null,
      "external_routing_number": null,
      "first_return_at": null,
      "front_image": null,
      "id": "chkt_2RIYDHnZCWKEYyU12qhTpjsVmzy",
      "idempotency_key": null,
      "is_preview_pdf_available": false,
      "issued_at": "2023-06-16T18:09:00.653492083Z",
      "manual_review_at": null,
      "memo": null,
      "message": null,
      "micr_line": {
        "amount_field": "100000",
        "auxiliary_on_us": "1003",
        "external_processing_code": "",
        "on_us": "199175569013840",
        "payor_bank_routing_number": "121145307"
      },
      "payee_address": null,
      "payee_name": "Olive Column",
      "pending_deposit_at": null,
      "pending_first_return_at": null,
      "pending_stop_at": null,
      "pending_user_initiated_return_at": null,
      "positive_pay_amount": "100000",
      "reclear_at": null,
      "rejected_at": null,
      "second_return_at": null,
      "settled_at": null,
      "status": "issued",
      "stopped_at": null,
      "type": "debit",
      "updated_at": "2023-06-16T18:09:00.654Z",
      "user_initiated_return_submitted_at": null,
      "user_initiated_returned_at": null,
      "user_initiated_return_dishonored_at": null
    }
  ],
  "has_more": true
}
```
